// Make sure the charset is set appropriately
@charset 'utf-8';

// Load config & mixins
@import './scss/_configuration/settings';
@import './frontend_libraries/foundation-sites/scss/foundation';
@import './scss/_mixins/mixins';

// jquery.datepicker Styling (depends on the default stylesheets)
// Using the id to override the default styles more easy
#ui-datepicker-div{
  // undo things from the lib
  border-right: 0 none;
  border-bottom: 0 none;
  background: $white;
  box-shadow: $shadow;
  padding:1rem;
  .ui-datepicker-title{
    line-height:1.1em;
    margin:0;
    select{
      // Year & Month Select
      padding-left:3px;
      padding-right:3px;
    }
  }
  .ui-datepicker-header{
    height:35px;
    > a{
      height:30px;
      width:30px;
      top:0;
      line-height:30px;
      border-radius:50%;
      background:$primary-color-dark;
      font-size:$small-font-size;
      color:$primary-color-text;
      text-decoration:none;
      text-align:center;
      .ui-icon{
        display:none;
      }
      &::before{
        font-family:$iconfont;
        vertical-align:middle;
        text-align:center;
        width:100%;
      }
      &.ui-datepicker-prev{
        @include get-ico($ico-chevron-left);
      }
      &.ui-datepicker-next{
        @include get-ico($ico-chevron-right);
      }
    }
  }
  // Days
  .ui-datepicker-calendar{
    td{
      text-align:center;
      > a{
        height:30px;
        width:30px;
        line-height:24px;
        display:inline-block;
        border-radius:50%;
        text-align:center;
        &:hover{
          background:$primary-color;
          color:$primary-color-text;
        }
      }
      &.ui-datepicker-today{
        > a{
          background-color:lighten($primary-color, 5%);
          color:$primary-color-text;
        }
      }
      &.ui-state-disabled{
        opacity:.5;
      }
    }
  }
}
